Subject: bug#29165: 26.0.90; can't use some code byte-compiled under emacs 24

From: Ken Raeburn <[email-masked]>
Date: Fri, 15 Dec 2017 00:17:18 -0500

On Dec 14, 2017, at 22:04, Stefan Monnier <[email-masked]> wrote:

>> I don't see the use case for empty &aux, but I don't mind reverting that
>> change.
> 
> It's typically when you define a function from within a macro so you may
> have something like
[…]

Why is this different from "… &optional ,@optargs” in a similar form, when optargs could have no elements?  Rejecting that was (part of) the point of Noam’s change (and the previous change for bug 24913).  I think I’ve already made my objection to that part plain, but it seems like rejecting an empty &optional and accepting an empty &aux would be inconsistent.

Ken